#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'groupwisesettingswidgetbase.ui'
**
** Created: 2013-08-05T17:27:50
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "groupwisesettingswidgetbase.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GroupWiseSettingsWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GroupWiseSettingsWidgetBase::GroupWiseSettingsWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GroupWiseSettingsWidgetBase" );
    GroupWiseSettingsWidgetBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "GroupWiseSettingsWidgetBaseLayout"); 

    m_settingsList = new KListView( this, "m_settingsList" );
    m_settingsList->addColumn( tr2i18n( "Group" ) );
    m_settingsList->addColumn( tr2i18n( "Setting" ) );
    m_settingsList->addColumn( tr2i18n( "Value" ) );
    m_settingsList->addColumn( tr2i18n( "Locked" ) );
    m_settingsList->setAllColumnsShowFocus( TRUE );
    m_settingsList->setRootIsDecorated( TRUE );

    GroupWiseSettingsWidgetBaseLayout->addWidget( m_settingsList, 0, 0 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GroupWiseSettingsWidgetBase::~GroupWiseSettingsWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GroupWiseSettingsWidgetBase::languageChange()
{
    m_settingsList->header()->setLabel( 0, tr2i18n( "Group" ) );
    m_settingsList->header()->setLabel( 1, tr2i18n( "Setting" ) );
    m_settingsList->header()->setLabel( 2, tr2i18n( "Value" ) );
    m_settingsList->header()->setLabel( 3, tr2i18n( "Locked" ) );
}

/****************************************************************************
** GroupWiseSettingsWidgetBase meta object code from reading C++ file 'groupwisesettingswidgetbase.h'
**
** Created: Mon Aug 5 17:27:50 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "groupwisesettingswidgetbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GroupWiseSettingsWidgetBase::className() const
{
    return "GroupWiseSettingsWidgetBase";
}

QMetaObject *GroupWiseSettingsWidgetBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GroupWiseSettingsWidgetBase( "GroupWiseSettingsWidgetBase", &GroupWiseSettingsWidgetBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GroupWiseSettingsWidgetBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseSettingsWidgetBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GroupWiseSettingsWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseSettingsWidgetBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GroupWiseSettingsWidgetBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GroupWiseSettingsWidgetBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GroupWiseSettingsWidgetBase.setMetaObject( metaObj );
    return metaObj;
}

void* GroupWiseSettingsWidgetBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GroupWiseSettingsWidgetBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GroupWiseSettingsWidgetBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GroupWiseSettingsWidgetBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GroupWiseSettingsWidgetBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GroupWiseSettingsWidgetBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
