#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'categoryeditdialog_base.ui'
**
** Created: 2013-08-05T17:00:29
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "categoryeditdialog_base.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qheader.h>
#include <qlistview.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CategoryEditDialog_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CategoryEditDialog_base::CategoryEditDialog_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CategoryEditDialog_base" );
    CategoryEditDialog_baseLayout = new QGridLayout( this, 1, 1, 0, 6, "CategoryEditDialog_baseLayout"); 

    mEdit = new QLineEdit( this, "mEdit" );

    CategoryEditDialog_baseLayout->addMultiCellWidget( mEdit, 1, 1, 0, 1 );

    mCategories = new QListView( this, "mCategories" );
    mCategories->addColumn( tr2i18n( "Category" ) );
    mCategories->setAllColumnsShowFocus( TRUE );
    mCategories->setResizeMode( QListView::AllColumns );

    CategoryEditDialog_baseLayout->addWidget( mCategories, 0, 0 );

    layout103 = new QVBoxLayout( 0, 0, 6, "layout103"); 

    mButtonAdd = new QPushButton( this, "mButtonAdd" );
    layout103->addWidget( mButtonAdd );

    mButtonRemove = new QPushButton( this, "mButtonRemove" );
    layout103->addWidget( mButtonRemove );
    Spacer3 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout103->addItem( Spacer3 );

    CategoryEditDialog_baseLayout->addLayout( layout103, 0, 1 );
    languageChange();
    resize( QSize(386, 270).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mCategories, mEdit );
    setTabOrder( mEdit, mButtonAdd );
    setTabOrder( mButtonAdd, mButtonRemove );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CategoryEditDialog_base::~CategoryEditDialog_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CategoryEditDialog_base::languageChange()
{
    setCaption( tr2i18n( "Edit Categories" ) );
    mCategories->header()->setLabel( 0, tr2i18n( "Category" ) );
    mButtonAdd->setText( tr2i18n( "A&dd" ) );
    mButtonRemove->setText( tr2i18n( "&Remove" ) );
}

/****************************************************************************
** CategoryEditDialog_base meta object code from reading C++ file 'categoryeditdialog_base.h'
**
** Created: Mon Aug 5 17:00:29 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "categoryeditdialog_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CategoryEditDialog_base::className() const
{
    return "CategoryEditDialog_base";
}

QMetaObject *CategoryEditDialog_base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CategoryEditDialog_base( "CategoryEditDialog_base", &CategoryEditDialog_base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CategoryEditDialog_base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CategoryEditDialog_base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CategoryEditDialog_base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CategoryEditDialog_base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CategoryEditDialog_base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CategoryEditDialog_base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CategoryEditDialog_base.setMetaObject( metaObj );
    return metaObj;
}

void* CategoryEditDialog_base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CategoryEditDialog_base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CategoryEditDialog_base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CategoryEditDialog_base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CategoryEditDialog_base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CategoryEditDialog_base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
